Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Class IndirectField

    java.lang.Object
      de.grogra.reflect.MemberBase
          de.grogra.persistence.PersistenceField
              de.grogra.persistence.IndirectField

All Implemented Interfaces:
  Field, FieldChain, Member, java.lang.Cloneable

    public final class IndirectField

extends PersistenceField
implements java.lang.Cloneable

Field Summary

Fields inherited from class de.grogra.reflect.MemberBase
`annots, declaringType, descriptor, modifiers, name`

Fields inherited from interface de.grogra.reflect.Field
`FIELD_0, INTERFACE_MODIFIERS, MODIFIERS`

Fields inherited from interface de.grogra.reflect.Member
`ABSTRACT, ACCESS_MODIFIERS, ARRAY, BRIDGE, CONSTANT, FINAL, INTERFACE, JAVA_MODIFIERS, LOCAL_CLASS, MIN_UNUSED_MODIFIER, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT, SYNCHRONIZED, SYNTHETIC, TRANSIENT, VARARGS, VOLATILE`

Constructor Summary
`IndirectField()`
`IndirectField(PersistenceField field)`
`IndirectField(Type type)`

Method Summary
`IndirectField` | `add(Field field)`
`IndirectField` | `add(FieldChain fields)`
`IndirectField` | `add(ManageableType.Field f)`
`IndirectField` | `add(PersistenceField field)`
`IndirectField` | `cast(Type type)`
`boolean` | `check()`
`void` | `clear()`
`static PersistenceField` | `concat(PersistenceField a, PersistenceField b)`
`IndirectField` | `dup()`
`boolean` | `getBoolean(java.lang.Object object)`
`boolean` | `getBoolean(java.lang.Object object, int[] indices)` Returns the value of a field.
`byte` | `getByte(java.lang.Object object)`
`byte` | `getByte(java.lang.Object object, int[] indices)` Returns the value of a field.
`char` | `getChar(java.lang.Object object)`
`char` | `getChar(java.lang.Object object, int[] indices)` Returns the value of a field.
`double` | `getDouble(java.lang.Object object)`
`double` | `getDouble(java.lang.Object object, int[] indices)` Returns the value of a field.
`float` | `getFloat(java.lang.Object object)`
`float` | `getFloat(java.lang.Object object, int[] indices)` Returns the value of a field.
`int` | `getIndexCount()`
`int` | `getInt(java.lang.Object object)`
`int` | `getInt(java.lang.Object object, int[] indices)` Returns the value of a field.
`ManageableType.Field` | `getLastField()`
`long` | `getLong(java.lang.Object object)`
`long` | `getLong(java.lang.Object object, int[] indices)` Returns the value of a field.
`java.lang.Number` | `getMaxValue()`
`java.lang.Number` | `getMinValue()`
`java.lang.String` | `getName()` Returns the name of this member.
`java.lang.Object` | `getObject(java.lang.Object object)`
`java.lang.Object` | `getObject(java.lang.Object object, int[] indices)` Returns the value of a field.
`Quantity` | `getQuantity()`
`PersistenceField` | `getShallowSubchain(int index)`
`short` | `getShort(java.lang.Object object)`
`short` | `getShort(java.lang.Object object, int[] indices)` Returns the value of a field.
`java.lang.String` | `getSimpleName()` Returns the simple name of this member.
`ManageableType.Field` | `getSubfield(int index)`
`Type` | `getType()`
`void` | `insertBoolean(java.lang.Object o, int[] indices, boolean value, Transaction t)` Inserts the given `value` into an array.
`void` | `insertByte(java.lang.Object o, int[] indices, byte value, Transaction t)` Inserts the given `value` into an array.
`void` | `insertChar(java.lang.Object o, int[] indices, char value, Transaction t)` Inserts the given `value` into an array.
`void` | `insertDouble(java.lang.Object o, int[] indices, double value, Transaction t)` Inserts the given `value` into an array.
`void` | `insertFloat(java.lang.Object o, int[] indices, float value, Transaction t)` Inserts the given `value` into an array.
`void` | `insertInt(java.lang.Object o, int[] indices, int value, Transaction t)` Inserts the given `value` into an array.
`void` | `insertLong(java.lang.Object o, int[] indices, long value, Transaction t)` Inserts the given `value` into an array.
`void` | `insertObject(java.lang.Object o, int[] indices, java.lang.Object value, Transaction t)` Inserts the given `value` into an array.
`void` | `insertShort(java.lang.Object o, int[] indices, short value, Transaction t)` Inserts the given `value` into an array.
`int` | `length()`
`boolean` | `overlaps(int[] tindices, FieldChain field, int[] findices)`
`void` | `pop()`
`void` | `removeBoolean(java.lang.Object o, int[] indices, Transaction t)` Removes an element from an array.
`void` | `removeByte(java.lang.Object o, int[] indices, Transaction t)` Removes an element from an array.
`void` | `removeChar(java.lang.Object o, int[] indices, Transaction t)` Removes an element from an array.
`void` | `removeDouble(java.lang.Object o, int[] indices, Transaction t)` Removes an element from an array.
`void` | `removeFloat(java.lang.Object o, int[] indices, Transaction t)` Removes an element from an array.
`void` | `removeInt(java.lang.Object o, int[] indices, Transaction t)` Removes an element from an array.
`void` | `removeLong(java.lang.Object o, int[] indices, Transaction t)` Removes an element from an array.
`void` | `removeObject(java.lang.Object o, int[] indices, Transaction t)` Removes an element from an array.
`void` | `removeShort(java.lang.Object o, int[] indices, Transaction t)` Removes an element from an array.
`void` | `set(PersistenceField field)`
`void` | `setBoolean(java.lang.Object object, boolean value)`
`void` | `setBoolean(java.lang.Object o, int[] indices, boolean value, Transaction t)` Sets the value of this field on the instance `o` using the given `indices` and `t`.
`void` | `setByte(java.lang.Object object, byte value)`
`void` | `setByte(java.lang.Object o, int[] indices, byte value, Transaction t)` Sets the value of this field on the instance `o` using the given `indices` and `t`.
`void` | `setChar(java.lang.Object object, char value)`
`void` | `setChar(java.lang.Object o, int[] indices, char value, Transaction t)` Sets the value of this field on the instance `o` using the given `indices` and `t`.
`void` | `setDouble(java.lang.Object object, double value)`
`void` | `setDouble(java.lang.Object o, int[] indices, double value, Transaction t)` Sets the value of this field on the instance `o` using the given `indices` and `t`.
`void` | `setFloat(java.lang.Object object, float value)`
`void` | `setFloat(java.lang.Object o, int[] indices, float value, Transaction t)` Sets the value of this field on the instance `o` using the given `indices` and `t`.
`void` | `setInt(java.lang.Object object, int value)`
`void` | `setInt(java.lang.Object o, int[] indices, int value, Transaction t)` Sets the value of this field on the instance `o` using the given `indices` and `t`.
`void` | `setLong(java.lang.Object o, int[] indices, long value, Transaction t)` Sets the value of this field on the instance `o` using the given `indices` and `t`.
`void` | `setLong(java.lang.Object object, long value)`
`void` | `setObject(java.lang.Object o, int[] indices, java.lang.Object value, Transaction t)` Sets the value of this field on the instance `o` using the given `indices` and `t`.
`void` | `setObject(java.lang.Object object, java.lang.Object value)`
`void` | `setObject(PersistenceCapable object, int[] indices, java.lang.Object value)`
`void` | `setShort(java.lang.Object o, int[] indices, short value, Transaction t)` Sets the value of this field on the instance `o` using the given `indices` and `t`.
`void` | `setShort(java.lang.Object object, short value)`
`java.lang.String` | `toString()`

Methods inherited from class de.grogra.persistence.PersistenceField
`get, get, getField, isWritable, set`

Methods inherited from class de.grogra.reflect.MemberBase
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.reflect.Member
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers`

Constructor Detail

### IndirectField

    public IndirectField()

### IndirectField

    public IndirectField(PersistenceField field)

### IndirectField

    public IndirectField(Type type)

Method Detail

### add

    public IndirectField add(Field field)

### add

    public IndirectField add(FieldChain fields)

### add

    public IndirectField add(ManageableType.Field f)

### add

    public IndirectField add(PersistenceField field)

### cast

    public IndirectField cast(Type type)

### check

    public boolean check()

### clear

    public void clear()

### concat

    public static PersistenceField concat(PersistenceField a,
                                          PersistenceField b)

### dup

    public IndirectField dup()

### getBoolean

    public boolean getBoolean(java.lang.Object object)

  Specified by:
    `getBoolean` in interface `Field`

### getBoolean

    public boolean getBoolean(java.lang.Object object,
                              int[] indices)

  Description copied from class: `PersistenceField`
  Returns the value of a field.

  Specified by:
    `getBoolean` in class `PersistenceField`
  Parameters:
    `object` - the instance for which the field value is returned
    `indices` - the indices for array fields
  Returns:
    the field's value for the instance `pc`
  See Also:
    `PersistenceField`

### getByte

    public byte getByte(java.lang.Object object)

  Specified by:
    `getByte` in interface `Field`

### getByte

    public byte getByte(java.lang.Object object,
                        int[] indices)

  Description copied from class: `PersistenceField`
  Returns the value of a field.

  Specified by:
    `getByte` in class `PersistenceField`
  Parameters:
    `object` - the instance for which the field value is returned
    `indices` - the indices for array fields
  Returns:
    the field's value for the instance `pc`
  See Also:
    `PersistenceField`

### getChar

    public char getChar(java.lang.Object object)

  Specified by:
    `getChar` in interface `Field`

### getChar

    public char getChar(java.lang.Object object,
                        int[] indices)

  Description copied from class: `PersistenceField`
  Returns the value of a field.

  Specified by:
    `getChar` in class `PersistenceField`
  Parameters:
    `object` - the instance for which the field value is returned
    `indices` - the indices for array fields
  Returns:
    the field's value for the instance `pc`
  See Also:
    `PersistenceField`

### getDouble

    public double getDouble(java.lang.Object object)

  Specified by:
    `getDouble` in interface `Field`

### getDouble

    public double getDouble(java.lang.Object object,
                            int[] indices)

  Description copied from class: `PersistenceField`
  Returns the value of a field.

  Specified by:
    `getDouble` in class `PersistenceField`
  Parameters:
    `object` - the instance for which the field value is returned
    `indices` - the indices for array fields
  Returns:
    the field's value for the instance `pc`
  See Also:
    `PersistenceField`

### getFloat

    public float getFloat(java.lang.Object object)

  Specified by:
    `getFloat` in interface `Field`

### getFloat

    public float getFloat(java.lang.Object object,
                          int[] indices)

  Description copied from class: `PersistenceField`
  Returns the value of a field.

  Specified by:
    `getFloat` in class `PersistenceField`
  Parameters:
    `object` - the instance for which the field value is returned
    `indices` - the indices for array fields
  Returns:
    the field's value for the instance `pc`
  See Also:
    `PersistenceField`

### getIndexCount

    public int getIndexCount()

### getInt

    public int getInt(java.lang.Object object)

  Specified by:
    `getInt` in interface `Field`

### getInt

    public int getInt(java.lang.Object object,
                      int[] indices)

  Description copied from class: `PersistenceField`
  Returns the value of a field.

  Specified by:
    `getInt` in class `PersistenceField`
  Parameters:
    `object` - the instance for which the field value is returned
    `indices` - the indices for array fields
  Returns:
    the field's value for the instance `pc`
  See Also:
    `PersistenceField`

### getLastField

    public ManageableType.Field getLastField()

  Specified by:
    `getLastField` in class `PersistenceField`

### getLong

    public long getLong(java.lang.Object object)

  Specified by:
    `getLong` in interface `Field`

### getLong

    public long getLong(java.lang.Object object,
                        int[] indices)

  Description copied from class: `PersistenceField`
  Returns the value of a field.

  Specified by:
    `getLong` in class `PersistenceField`
  Parameters:
    `object` - the instance for which the field value is returned
    `indices` - the indices for array fields
  Returns:
    the field's value for the instance `pc`
  See Also:
    `PersistenceField`

### getMaxValue

    public final java.lang.Number getMaxValue()

  Specified by:
    `getMaxValue` in class `PersistenceField`

### getMinValue

    public final java.lang.Number getMinValue()

  Specified by:
    `getMinValue` in class `PersistenceField`

### getName

    public java.lang.String getName()

  Description copied from interface: `Member`
  Returns the name of this member. For types, this is the canonical name of the type, e.g, `java.lang.Object`, `java.util.Map.Entry`. Otherwise, it equals `Member.getSimpleName()`.

  Specified by:
    `getName` in interface `Member`
  Overrides:
    `getName` in class `MemberBase`
  Returns:
    name of the member

### getObject

    public java.lang.Object getObject(java.lang.Object object)

  Specified by:
    `getObject` in interface `Field`

### getObject

    public java.lang.Object getObject(java.lang.Object object,
                                      int[] indices)

  Description copied from class: `PersistenceField`
  Returns the value of a field.

  Specified by:
    `getObject` in class `PersistenceField`
  Parameters:
    `object` - the instance for which the field value is returned
    `indices` - the indices for array fields
  Returns:
    the field's value for the instance `pc`
  See Also:
    `PersistenceField`

### getQuantity

    public final Quantity getQuantity()

  Specified by:
    `getQuantity` in class `PersistenceField`

### getShallowSubchain

    public PersistenceField getShallowSubchain(int index)

  Specified by:
    `getShallowSubchain` in class `PersistenceField`

### getShort

    public short getShort(java.lang.Object object)

  Specified by:
    `getShort` in interface `Field`

### getShort

    public short getShort(java.lang.Object object,
                          int[] indices)

  Description copied from class: `PersistenceField`
  Returns the value of a field.

  Specified by:
    `getShort` in class `PersistenceField`
  Parameters:
    `object` - the instance for which the field value is returned
    `indices` - the indices for array fields
  Returns:
    the field's value for the instance `pc`
  See Also:
    `PersistenceField`

### getSimpleName

    public java.lang.String getSimpleName()

  Description copied from interface: `Member`
  Returns the simple name of this member. This is the single identifier with which the member is declared in source code, e.g., `Object`, `out`, `println`.

  Specified by:
    `getSimpleName` in interface `Member`
  Overrides:
    `getSimpleName` in class `MemberBase`
  Returns:
    simple name of the member

### getSubfield

    public ManageableType.Field getSubfield(int index)

  Specified by:
    `getSubfield` in class `PersistenceField`

### getType

    public final Type getType()

  Specified by:
    `getType` in interface `Field`

### insertBoolean

    public void insertBoolean(java.lang.Object o,
                              int[] indices,
                              boolean value,
                              Transaction t)

  Description copied from class: `PersistenceField`
  Inserts the given `value` into an array. This field has to be an array component indexed by `indices`. The new `value` will be inserted at the place of the indexed component.

  Specified by:
    `insertBoolean` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the value to be inserted
    `t` - transaction context
  See Also:
    `PersistenceField`

### insertByte

    public void insertByte(java.lang.Object o,
                           int[] indices,
                           byte value,
                           Transaction t)

  Description copied from class: `PersistenceField`
  Inserts the given `value` into an array. This field has to be an array component indexed by `indices`. The new `value` will be inserted at the place of the indexed component.

  Specified by:
    `insertByte` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the value to be inserted
    `t` - transaction context
  See Also:
    `PersistenceField`

### insertChar

    public void insertChar(java.lang.Object o,
                           int[] indices,
                           char value,
                           Transaction t)

  Description copied from class: `PersistenceField`
  Inserts the given `value` into an array. This field has to be an array component indexed by `indices`. The new `value` will be inserted at the place of the indexed component.

  Specified by:
    `insertChar` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the value to be inserted
    `t` - transaction context
  See Also:
    `PersistenceField`

### insertDouble

    public void insertDouble(java.lang.Object o,
                             int[] indices,
                             double value,
                             Transaction t)

  Description copied from class: `PersistenceField`
  Inserts the given `value` into an array. This field has to be an array component indexed by `indices`. The new `value` will be inserted at the place of the indexed component.

  Specified by:
    `insertDouble` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the value to be inserted
    `t` - transaction context
  See Also:
    `PersistenceField`

### insertFloat

    public void insertFloat(java.lang.Object o,
                            int[] indices,
                            float value,
                            Transaction t)

  Description copied from class: `PersistenceField`
  Inserts the given `value` into an array. This field has to be an array component indexed by `indices`. The new `value` will be inserted at the place of the indexed component.

  Specified by:
    `insertFloat` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the value to be inserted
    `t` - transaction context
  See Also:
    `PersistenceField`

### insertInt

    public void insertInt(java.lang.Object o,
                          int[] indices,
                          int value,
                          Transaction t)

  Description copied from class: `PersistenceField`
  Inserts the given `value` into an array. This field has to be an array component indexed by `indices`. The new `value` will be inserted at the place of the indexed component.

  Specified by:
    `insertInt` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the value to be inserted
    `t` - transaction context
  See Also:
    `PersistenceField`

### insertLong

    public void insertLong(java.lang.Object o,
                           int[] indices,
                           long value,
                           Transaction t)

  Description copied from class: `PersistenceField`
  Inserts the given `value` into an array. This field has to be an array component indexed by `indices`. The new `value` will be inserted at the place of the indexed component.

  Specified by:
    `insertLong` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the value to be inserted
    `t` - transaction context
  See Also:
    `PersistenceField`

### insertObject

    public void insertObject(java.lang.Object o,
                             int[] indices,
                             java.lang.Object value,
                             Transaction t)

  Description copied from class: `PersistenceField`
  Inserts the given `value` into an array. This field has to be an array component indexed by `indices`. The new `value` will be inserted at the place of the indexed component.

  Specified by:
    `insertObject` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the value to be inserted
    `t` - transaction context
  See Also:
    `PersistenceField`

### insertShort

    public void insertShort(java.lang.Object o,
                            int[] indices,
                            short value,
                            Transaction t)

  Description copied from class: `PersistenceField`
  Inserts the given `value` into an array. This field has to be an array component indexed by `indices`. The new `value` will be inserted at the place of the indexed component.

  Specified by:
    `insertShort` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the value to be inserted
    `t` - transaction context
  See Also:
    `PersistenceField`

### length

    public int length()

  Specified by:
    `length` in interface `FieldChain`

### overlaps

    public boolean overlaps(int[] tindices,
                            FieldChain field,
                            int[] findices)

  Specified by:
    `overlaps` in interface `FieldChain`

### pop

    public void pop()

### removeBoolean

    public void removeBoolean(java.lang.Object o,
                              int[] indices,
                              Transaction t)

  Description copied from class: `PersistenceField`
  Removes an element from an array. This field has to be an array component indexed by `indices`. The value at the indexed component will be removed.

  Specified by:
    `removeBoolean` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `t` - transaction context
  See Also:
    `PersistenceField`

### removeByte

    public void removeByte(java.lang.Object o,
                           int[] indices,
                           Transaction t)

  Description copied from class: `PersistenceField`
  Removes an element from an array. This field has to be an array component indexed by `indices`. The value at the indexed component will be removed.

  Specified by:
    `removeByte` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `t` - transaction context
  See Also:
    `PersistenceField`

### removeChar

    public void removeChar(java.lang.Object o,
                           int[] indices,
                           Transaction t)

  Description copied from class: `PersistenceField`
  Removes an element from an array. This field has to be an array component indexed by `indices`. The value at the indexed component will be removed.

  Specified by:
    `removeChar` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `t` - transaction context
  See Also:
    `PersistenceField`

### removeDouble

    public void removeDouble(java.lang.Object o,
                             int[] indices,
                             Transaction t)

  Description copied from class: `PersistenceField`
  Removes an element from an array. This field has to be an array component indexed by `indices`. The value at the indexed component will be removed.

  Specified by:
    `removeDouble` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `t` - transaction context
  See Also:
    `PersistenceField`

### removeFloat

    public void removeFloat(java.lang.Object o,
                            int[] indices,
                            Transaction t)

  Description copied from class: `PersistenceField`
  Removes an element from an array. This field has to be an array component indexed by `indices`. The value at the indexed component will be removed.

  Specified by:
    `removeFloat` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `t` - transaction context
  See Also:
    `PersistenceField`

### removeInt

    public void removeInt(java.lang.Object o,
                          int[] indices,
                          Transaction t)

  Description copied from class: `PersistenceField`
  Removes an element from an array. This field has to be an array component indexed by `indices`. The value at the indexed component will be removed.

  Specified by:
    `removeInt` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `t` - transaction context
  See Also:
    `PersistenceField`

### removeLong

    public void removeLong(java.lang.Object o,
                           int[] indices,
                           Transaction t)

  Description copied from class: `PersistenceField`
  Removes an element from an array. This field has to be an array component indexed by `indices`. The value at the indexed component will be removed.

  Specified by:
    `removeLong` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `t` - transaction context
  See Also:
    `PersistenceField`

### removeObject

    public void removeObject(java.lang.Object o,
                             int[] indices,
                             Transaction t)

  Description copied from class: `PersistenceField`
  Removes an element from an array. This field has to be an array component indexed by `indices`. The value at the indexed component will be removed.

  Specified by:
    `removeObject` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `t` - transaction context
  See Also:
    `PersistenceField`

### removeShort

    public void removeShort(java.lang.Object o,
                            int[] indices,
                            Transaction t)

  Description copied from class: `PersistenceField`
  Removes an element from an array. This field has to be an array component indexed by `indices`. The value at the indexed component will be removed.

  Specified by:
    `removeShort` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `t` - transaction context
  See Also:
    `PersistenceField`

### set

    public void set(PersistenceField field)

### setBoolean

    public final void setBoolean(java.lang.Object object,
                                 boolean value)

  Specified by:
    `setBoolean` in interface `Field`

### setBoolean

    public void setBoolean(java.lang.Object o,
                           int[] indices,
                           boolean value,
                           Transaction t)

  Description copied from class: `PersistenceField`
  Sets the value of this field on the instance `o` using the given `indices` and `t`.

  Specified by:
    `setBoolean` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the new value
    `t` - transaction context
  See Also:
    `PersistenceField`

### setByte

    public final void setByte(java.lang.Object object,
                              byte value)

  Specified by:
    `setByte` in interface `Field`

### setByte

    public void setByte(java.lang.Object o,
                        int[] indices,
                        byte value,
                        Transaction t)

  Description copied from class: `PersistenceField`
  Sets the value of this field on the instance `o` using the given `indices` and `t`.

  Specified by:
    `setByte` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the new value
    `t` - transaction context
  See Also:
    `PersistenceField`

### setChar

    public final void setChar(java.lang.Object object,
                              char value)

  Specified by:
    `setChar` in interface `Field`

### setChar

    public void setChar(java.lang.Object o,
                        int[] indices,
                        char value,
                        Transaction t)

  Description copied from class: `PersistenceField`
  Sets the value of this field on the instance `o` using the given `indices` and `t`.

  Specified by:
    `setChar` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the new value
    `t` - transaction context
  See Also:
    `PersistenceField`

### setDouble

    public final void setDouble(java.lang.Object object,
                                double value)

  Specified by:
    `setDouble` in interface `Field`

### setDouble

    public void setDouble(java.lang.Object o,
                          int[] indices,
                          double value,
                          Transaction t)

  Description copied from class: `PersistenceField`
  Sets the value of this field on the instance `o` using the given `indices` and `t`.

  Specified by:
    `setDouble` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the new value
    `t` - transaction context
  See Also:
    `PersistenceField`

### setFloat

    public final void setFloat(java.lang.Object object,
                               float value)

  Specified by:
    `setFloat` in interface `Field`

### setFloat

    public void setFloat(java.lang.Object o,
                         int[] indices,
                         float value,
                         Transaction t)

  Description copied from class: `PersistenceField`
  Sets the value of this field on the instance `o` using the given `indices` and `t`.

  Specified by:
    `setFloat` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the new value
    `t` - transaction context
  See Also:
    `PersistenceField`

### setInt

    public final void setInt(java.lang.Object object,
                             int value)

  Specified by:
    `setInt` in interface `Field`

### setInt

    public void setInt(java.lang.Object o,
                       int[] indices,
                       int value,
                       Transaction t)

  Description copied from class: `PersistenceField`
  Sets the value of this field on the instance `o` using the given `indices` and `t`.

  Specified by:
    `setInt` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the new value
    `t` - transaction context
  See Also:
    `PersistenceField`

### setLong

    public void setLong(java.lang.Object o,
                        int[] indices,
                        long value,
                        Transaction t)

  Description copied from class: `PersistenceField`
  Sets the value of this field on the instance `o` using the given `indices` and `t`.

  Specified by:
    `setLong` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the new value
    `t` - transaction context
  See Also:
    `PersistenceField`

### setLong

    public final void setLong(java.lang.Object object,
                              long value)

  Specified by:
    `setLong` in interface `Field`

### setObject

    public void setObject(java.lang.Object o,
                          int[] indices,
                          java.lang.Object value,
                          Transaction t)

  Description copied from class: `PersistenceField`
  Sets the value of this field on the instance `o` using the given `indices` and `t`.

  Specified by:
    `setObject` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the new value
    `t` - transaction context
  See Also:
    `PersistenceField`

### setObject

    public final void setObject(java.lang.Object object,
                                java.lang.Object value)

  Specified by:
    `setObject` in interface `Field`

### setObject

    public final void setObject(PersistenceCapable object,
                                int[] indices,
                                java.lang.Object value)

### setShort

    public void setShort(java.lang.Object o,
                         int[] indices,
                         short value,
                         Transaction t)

  Description copied from class: `PersistenceField`
  Sets the value of this field on the instance `o` using the given `indices` and `t`.

  Specified by:
    `setShort` in class `PersistenceField`
  Parameters:
    `o` - the instance for which the field is modified
    `indices` - the indices for array fields
    `value` - the new value
    `t` - transaction context
  See Also:
    `PersistenceField`

### setShort

    public final void setShort(java.lang.Object object,
                               short value)

  Specified by:
    `setShort` in interface `Field`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `MemberBase`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD